Gets geofence lists​
GET
/users/{userid}/geofenceLists
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
userid*
User ID. 0 can be used for the current user
Type
Requiredinteger
Query Parameters
_limit
Limit for pagination, default 10, max 10000
Type
integer
_page
Page for pagination
Type
integer
_sort
Sort by this field
Type
string
_direction
Sort in this direction (asc, desc)
Type
string
GET
/users/{userid}/geofenceLists
Request example
Responses​
OK
application/json
JSON"data": [{"color": "string","id": 0,"name": "string","ownerId": 0}],"limit": 0,"page": 0,"totalElements": 0,"totalPages": 0
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
Try this endpoint
Playground​
Authorization
Variables
Key
Value